Index: include/libroar/simple.h
===================================================================
--- include/libroar/simple.h	(revision 6052)
+++ include/libroar/simple.h	(revision 0)
@@ -1,36 +1,3 @@
-//simple.h:
-
-/*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008-2015
- *
- *  This file is part of libroar a part of RoarAudio,
- *  a cross-platform sound system for both, home and professional use.
- *  See README for details.
- *
- *  This file is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License version 3
- *  as published by the Free Software Foundation.
- *
- *  libroar is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU General Public License for more details.
- *
- *  You should have received a copy of the GNU General Public License
- *  along with this software; see the file COPYING.  If not, write to
- *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
- *  Boston, MA 02110-1301, USA.
- *
- *  NOTE for everyone want's to change something and send patches:
- *  read README and HACKING! There a addition information on
- *  the license of this document you need to read before you send
- *  any patches.
- *
- *  NOTE for uses of non-GPL (LGPL,...) software using libesd, libartsc
- *  or libpulse*:
- *  The libs libroaresd, libroararts and libroarpulse link this lib
- *  and are therefore GPL. Because of this it may be illigal to use
- *  them with any software that uses libesd, libartsc or libpulse*.
- */
+//libroar.h:
 
 #ifndef _LIBROARSIMPLE_H_
@@ -39,12 +6,16 @@
 #include "libroar.h"
 
-int roar_simple_connect (struct roar_connection * con, const char * server, const char * name);
-int roar_simple_connect2(struct roar_connection * con, const char * server, const char * name, int flags, uint_least32_t timeout);
+int roar_simple_connect (struct roar_connection * con, char * server, char * name);
 
-int roar_simple_new_stream_attachexeced_obj (struct roar_connection * con, struct roar_stream * s, uint32_t rate, uint32_t channels, uint32_t bits, uint32_t codec, int dir, int mixer);
+int roar_simple_stream  (int rate, int channels, int bits, int codec, char * server, int dir, char * name);
 
-int roar_simple_play_file(const char * file, const char * server, const char * name);
+int roar_simple_play    (int rate, int channels, int bits, int codec, char * server, char * name);
+int roar_simple_monitor (int rate, int channels, int bits, int codec, char * server, char * name);
+int roar_simple_record  (int rate, int channels, int bits, int codec, char * server, char * name);
+int roar_simple_filter  (int rate, int channels, int bits, int codec, char * server, char * name);
 
-int roar_simple_connect_virtual(struct roar_connection * con, struct roar_stream * s, int parent, int dir);
+int roar_simple_close(int fh);
+
+int roar_simple_get_standby (int fh);
 
 #endif
Index: include/libroar/socket.h
===================================================================
--- include/libroar/socket.h	(revision 6052)
+++ include/libroar/socket.h	(revision 0)
@@ -1,36 +1,3 @@
-//socket.h:
-
-/*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008-2015
- *
- *  This file is part of libroar a part of RoarAudio,
- *  a cross-platform sound system for both, home and professional use.
- *  See README for details.
- *
- *  This file is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License version 3
- *  as published by the Free Software Foundation.
- *
- *  libroar is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU General Public License for more details.
- *
- *  You should have received a copy of the GNU General Public License
- *  along with this software; see the file COPYING.  If not, write to
- *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
- *  Boston, MA 02110-1301, USA.
- *
- *  NOTE for everyone want's to change something and send patches:
- *  read README and HACKING! There a addition information on
- *  the license of this document you need to read before you send
- *  any patches.
- *
- *  NOTE for uses of non-GPL (LGPL,...) software using libesd, libartsc
- *  or libpulse*:
- *  The libs libroaresd, libroararts and libroarpulse link this lib
- *  and are therefore GPL. Because of this it may be illigal to use
- *  them with any software that uses libesd, libartsc or libpulse*.
- */
+//libroar.h:
 
 #ifndef _LIBROARSOCKET_H_
@@ -39,7 +6,8 @@
 #include "libroar.h"
 
-#define ROAR_SOCKET_MODE_NONE    0
-#define ROAR_SOCKET_MODE_LISTEN  1
-#define ROAR_SOCKET_MODE_CONNECT 2
+#define ROAR_SOCKET_TYPE_NONE 0
+#define ROAR_SOCKET_TYPE_UNKNOWN ROAR_SOCKET_TYPE_NONE
+#define ROAR_SOCKET_TYPE_INET 1
+#define ROAR_SOCKET_TYPE_UNIX 2
 
 #define ROAR_SOCKET_QUEUE_LEN 8
@@ -48,21 +16,12 @@
 #define ROAR_SOCKET_NONBLOCK  2
 
-#define ROAR_SOCKET_MAX_HOSTNAMELEN 64
+int roar_socket_listen  (int type, char * host, int port);
+int roar_socket_connect (char * host, int port);
 
-int roar_socket_listen  (int type, const char * host, int port);
-int roar_socket_connect (int type, const char * host, int port);
-
-int roar_socket_new        (int type);
-
-int roar_socket_open       (int mode, int type, const char * host, int port);
-
-const char * roar_socket_get_local_nodename(void);
+int roar_socket_new_tcp (void);
+int roar_socket_new_unix (void);
+int roar_socket_open (int mode, int type, char * host, int port);
 
 int roar_socket_nonblock(int fh, int state);
-
-int roar_socket_dup_udp_local_end (int fh);
-
-int roar_socket_send_fh (int sock, int fh, char * mes, size_t   len);
-int roar_socket_recv_fh (int sock,         char * mes, size_t * len);
 
 #endif
Index: include/libroar/stream.h
===================================================================
--- include/libroar/stream.h	(revision 6052)
+++ include/libroar/stream.h	(revision 0)
@@ -1,36 +1,3 @@
-//stream.h:
-
-/*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008-2015
- *
- *  This file is part of libroar a part of RoarAudio,
- *  a cross-platform sound system for both, home and professional use.
- *  See README for details.
- *
- *  This file is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License version 3
- *  as published by the Free Software Foundation.
- *
- *  libroar is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU General Public License for more details.
- *
- *  You should have received a copy of the GNU General Public License
- *  along with this software; see the file COPYING.  If not, write to
- *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
- *  Boston, MA 02110-1301, USA.
- *
- *  NOTE for everyone want's to change something and send patches:
- *  read README and HACKING! There a addition information on
- *  the license of this document you need to read before you send
- *  any patches.
- *
- *  NOTE for uses of non-GPL (LGPL,...) software using libesd, libartsc
- *  or libpulse*:
- *  The libs libroaresd, libroararts and libroarpulse link this lib
- *  and are therefore GPL. Because of this it may be illigal to use
- *  them with any software that uses libesd, libartsc or libpulse*.
- */
+//libroarstream.h:
 
 #ifndef _LIBROARSTREAM_H_
@@ -39,101 +6,22 @@
 #include "roaraudio.h"
 
-#define _LIBROAR_STREAM_STDATTRS _LIBROAR_ATTR_USE_RESULT _LIBROAR_ATTR_NONNULL_ALL
+#define roar_dir2str(x)   ((x) == ROAR_DIR_PLAY   ? "play"   : (x) == ROAR_DIR_MONITOR ? "monitor" : \
+                           (x) == ROAR_DIR_FILTER ? "filter" : (x) == ROAR_DIR_RECORD  ? "record"  : \
+                           (x) == ROAR_DIR_OUTPUT ? "output" : "unknown")
 
-const char * roar_dir2str (const int dir) _LIBROAR_ATTR_USE_RESULT _LIBROAR_ATTR_PURE;
-int    roar_str2dir (const char * name) _LIBROAR_ATTR_USE_RESULT _LIBROAR_ATTR_NONNULL_ALL _LIBROAR_ATTR_PURE;
+#define roar_codec2str(x) ((x) == ROAR_CODEC_PCM_S_LE  ? "pcm_s_le"  : (x) == ROAR_CODEC_PCM_S_BE ? "pcm_s_be" : \
+                           (x) == ROAR_CODEC_PCM_S_PDP ? "pcm_s_pdp" : "unknown" )
 
-struct roar_stream_info {
- int block_size;
- int pre_underruns;
- int post_underruns;
- uint32_t codec;
- uint32_t flags;
- char * driver;
- uint_least32_t delay;
- int state;
- int mixer;
- int role;
-};
+int roar_stream_connect (struct roar_connection * con, struct roar_stream * s, int dir);
 
-struct roar_stream_rpg {
- int        mode;
- uint16_t   mul;
- uint16_t   div;
-};
+int roar_stream_new     (struct roar_stream * s, unsigned int rate, unsigned int channels, unsigned int bits, unsigned int codec);
 
-int roar_stream_connect (struct roar_connection * con, struct roar_stream * s, int dir, int mixer) _LIBROAR_STREAM_STDATTRS;
+int roar_stream_exec    (struct roar_connection * con, struct roar_stream * s);
 
-int roar_stream_new     (struct roar_stream * s, unsigned int rate, unsigned int channels, unsigned int bits, unsigned int codec) _LIBROAR_ATTR_NONNULL_ALL;
-
-int roar_stream_new_by_info (struct roar_stream * s, const struct roar_audio_info * info) _LIBROAR_STREAM_STDATTRS;
-
-int roar_stream_set_rel_id(struct roar_stream * s, int id) _LIBROAR_ATTR_NONNULL_ALL;
-int roar_stream_get_rel_id(struct roar_stream * s) _LIBROAR_STREAM_STDATTRS;
-
-int roar_stream_new_by_id(struct roar_stream * s, int id) _LIBROAR_ATTR_NONNULL_ALL;
-int roar_stream_new_empty(struct roar_stream * s) _LIBROAR_STREAM_STDATTRS;
-
-int roar_stream_set_id (struct roar_stream * s, int id) _LIBROAR_ATTR_NONNULL_ALL;
-int roar_stream_get_id (struct roar_stream * s) _LIBROAR_STREAM_STDATTRS;
-
-int roar_stream_set_fh (struct roar_stream * s, int fh) _LIBROAR_ATTR_NONNULL_ALL;
-int roar_stream_get_fh (struct roar_stream * s) _LIBROAR_STREAM_STDATTRS;
-
-int roar_stream_set_dir (struct roar_stream * s, int dir) _LIBROAR_ATTR_NONNULL_ALL;
-int roar_stream_get_dir (struct roar_stream * s) _LIBROAR_STREAM_STDATTRS;
-
-int roar_stream_exec    (struct roar_connection * con, struct roar_stream * s) _LIBROAR_STREAM_STDATTRS;
-int roar_stream_connect_to (struct roar_connection * con, struct roar_stream * s, int type, char * host, int port);
-int roar_stream_connect_to_ask (struct roar_connection * con, struct roar_stream * s, int type, char * host, int port);
-int roar_stream_connect_to_advanced (struct roar_connection * con, struct roar_stream * s,
-                                     int version, int ask_only, uint_least32_t flags,
-                                     int socket_type, ssize_t socket_len, const void * socketaddr,
-                                     int transport_protocol, ssize_t tranport_len, const void * transportsetup,
-                                     uint16_t clientsetup_flags, struct roar_client * clientsetup);
-int roar_stream_passfh  (struct roar_connection * con, struct roar_stream * s, int fh) _LIBROAR_STREAM_STDATTRS;
-
-int roar_stream_attach_simple (struct roar_connection * con, struct roar_stream * s, int client) _LIBROAR_STREAM_STDATTRS;
-
-int roar_stream_get_info (struct roar_connection * con, struct roar_stream * s, struct roar_stream_info * info) _LIBROAR_STREAM_STDATTRS;
-int roar_stream_get_name (struct roar_connection * con, struct roar_stream * s, char * name, size_t len) _LIBROAR_STREAM_STDATTRS;
-
-int roar_stream_get_chanmap (struct roar_connection * con, struct roar_stream * s, char * map, size_t * len) _LIBROAR_STREAM_STDATTRS;
-int roar_stream_set_chanmap (struct roar_connection * con, struct roar_stream * s, char * map, size_t   len) _LIBROAR_STREAM_STDATTRS;
-
-int roar_stream_set_flags  (struct roar_connection * con, struct roar_stream * s, uint32_t flags, int action) _LIBROAR_STREAM_STDATTRS;
-
-int roar_stream_set_role  (struct roar_connection * con, struct roar_stream * s, int role) _LIBROAR_STREAM_STDATTRS;
-
-int roar_stream_get_rpg   (struct roar_connection * con, struct roar_stream * s, struct roar_stream_rpg * rpg) _LIBROAR_STREAM_STDATTRS;
-int roar_stream_set_rpg   (struct roar_connection * con, struct roar_stream * s, const struct roar_stream_rpg * rpg) _LIBROAR_STREAM_STDATTRS;
+int roar_stream_add_data (struct roar_connection * con, struct roar_stream * s, char * data, size_t len);
 
 int roar_stream_s2m     (struct roar_stream * s, struct roar_message * m);
 int roar_stream_m2s     (struct roar_stream * s, struct roar_message * m);
 
-int32_t      roar_str2codec (const char   * codec) _LIBROAR_STREAM_STDATTRS _LIBROAR_ATTR_PURE;
-const char * roar_codec2str (const uint32_t codec) _LIBROAR_ATTR_USE_RESULT _LIBROAR_ATTR_PURE;
-
-int32_t      roar_mime2codec (const char   * mime) _LIBROAR_STREAM_STDATTRS _LIBROAR_ATTR_PURE;
-const char * roar_codec2mime (const uint32_t codec) _LIBROAR_ATTR_USE_RESULT _LIBROAR_ATTR_PURE;
-
-int32_t roar_str2rate(const char * rate) _LIBROAR_STREAM_STDATTRS _LIBROAR_ATTR_PURE;
-int32_t roar_str2bits(const char * bits) _LIBROAR_STREAM_STDATTRS _LIBROAR_ATTR_PURE;
-int32_t roar_str2channels(const char * channels) _LIBROAR_STREAM_STDATTRS _LIBROAR_ATTR_PURE;
-
-const char * roar_streamstate2str(int streamstate) _LIBROAR_ATTR_USE_RESULT _LIBROAR_ATTR_PURE;
-
-int    roar_str2role  (const char * role) _LIBROAR_STREAM_STDATTRS _LIBROAR_ATTR_PURE;
-const char * roar_role2str  (const int    role) _LIBROAR_ATTR_USE_RESULT _LIBROAR_ATTR_PURE;
-
-const char * roar_rpgmode2str(const int rpgmode) _LIBROAR_ATTR_USE_RESULT _LIBROAR_ATTR_PURE;
-
-ssize_t roar_info2samplesize (struct roar_audio_info * info) _LIBROAR_STREAM_STDATTRS _LIBROAR_ATTR_PURE;
-ssize_t roar_info2framesize  (struct roar_audio_info * info) _LIBROAR_STREAM_STDATTRS _LIBROAR_ATTR_PURE;
-ssize_t roar_info2bitspersec (struct roar_audio_info * info) _LIBROAR_STREAM_STDATTRS _LIBROAR_ATTR_PURE;
-
-int     roar_profile2info    (struct roar_audio_info * info, const char * profile) _LIBROAR_STREAM_STDATTRS;
-ssize_t roar_profiles_list   (const char ** list, size_t len, size_t offset) _LIBROAR_STREAM_STDATTRS;
-
 #endif
 
Index: include/libroardsp/convert.h
===================================================================
--- include/libroardsp/convert.h	(revision 6052)
+++ include/libroardsp/convert.h	(revision 0)
@@ -1,124 +1,28 @@
 //convert.h:
 
-/*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008-2015
- *
- *  This file is part of libroar a part of RoarAudio,
- *  a cross-platform sound system for both, home and professional use.
- *  See README for details.
- *
- *  This file is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License version 3
- *  as published by the Free Software Foundation.
- *
- *  libroar is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU General Public License for more details.
- *
- *  You should have received a copy of the GNU General Public License
- *  along with this software; see the file COPYING.  If not, write to
- *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
- *  Boston, MA 02110-1301, USA.
- *
- *  NOTE for everyone want's to change something and send patches:
- *  read README and HACKING! There a addition information on
- *  the license of this document you need to read before you send
- *  any patches.
- *
- *  NOTE for uses of non-GPL (LGPL,...) software using libesd, libartsc
- *  or libpulse*:
- *  The libs libroaresd, libroararts and libroarpulse link this lib
- *  and are therefore GPL. Because of this it may be illigal to use
- *  them with any software that uses libesd, libartsc or libpulse*.
- */
+#ifndef _CONVERT_H_
+#define _CONVERT_H_
 
-#ifndef _LIBROARDSP_CONVERT_H_
-#define _LIBROARDSP_CONVERT_H_
-
-#include "libroardsp.h"
+#include "libroar.h"
 
 int roar_conv_bits       (void * out, void * in, int samples, int from, int to);
 
-                                                                 // implemnted?
-int roar_conv_bits_8to16  (void * out, void * in, int samples);  // yes
-int roar_conv_bits_8to24  (void * out, void * in, int samples);
-int roar_conv_bits_8to32  (void * out, void * in, int samples);  // yes
-int roar_conv_bits_16to8  (void * out, void * in, int samples);  // yes
-int roar_conv_bits_16to24 (void * out, void * in, int samples);
-int roar_conv_bits_16to32 (void * out, void * in, int samples);  // yes
-int roar_conv_bits_24to8  (void * out, void * in, int samples);
-int roar_conv_bits_24to16 (void * out, void * in, int samples);
-int roar_conv_bits_24to32 (void * out, void * in, int samples);  // yes
-int roar_conv_bits_32to8  (void * out, void * in, int samples);  // yes
-int roar_conv_bits_32to16 (void * out, void * in, int samples);  // yes
-int roar_conv_bits_32to24 (void * out, void * in, int samples);
+int roar_conv_bits_8to16 (void * out, void * in, int samples);
+int roar_conv_bits_16to8 (void * out, void * in, int samples);
 
 int roar_conv_chans (void * out, void * in, int samples, int from, int to, int bits);
 
-                                                                           // implmented?  working Needed?
-int roar_conv_chans_1ton8  (void * out, void * in, int samples, int to);   // yes          ?       yes
-int roar_conv_chans_1ton16 (void * out, void * in, int samples, int to);   // yes          yes     yes
-int roar_conv_chans_1ton32 (void * out, void * in, int samples, int to);   // yes          ?       yes
-int roar_conv_chans_1to28  (void * out, void * in, int samples);           // yes          yes     no
-int roar_conv_chans_1to216 (void * out, void * in, int samples);           // yes          yes     no
+int roar_conv_chans_1ton8  (void * out, void * in, int samples, int to);
+int roar_conv_chans_1ton16 (void * out, void * in, int samples, int to);
 
-int roar_conv_chans_nto18  (void * out, void * in, int samples, int from); // yes          yes?    yes
-int roar_conv_chans_nto116 (void * out, void * in, int samples, int from); // yes          yes?    yes
-int roar_conv_chans_nto132 (void * out, void * in, int samples, int from); // yes          ?       yes
+int roar_conv_rate    (void * out, void * in, int samples, int from, int to, int bits, int channels);
+int roar_conv_rate_8  (void * out, void * in, int samples, int from, int to, int channels);
+int roar_conv_rate_16 (void * out, void * in, int samples, int from, int to, int channels);
 
-int roar_conv_chans_2to18  (void * out, void * in, int samples);           // yes          yes     no
-int roar_conv_chans_2to116 (void * out, void * in, int samples);           // yes          yes     no
-int roar_conv_chans_2to38  (void * out, void * in, int samples);           // no           ?       yes
-int roar_conv_chans_2to316 (void * out, void * in, int samples);           // yes          yes     yes
-int roar_conv_chans_2to48  (void * out, void * in, int samples);           // no           ?       yes
-int roar_conv_chans_2to416 (void * out, void * in, int samples);           // yes          yes     yes
-int roar_conv_chans_2to58  (void * out, void * in, int samples);           // no           ?       yes
-int roar_conv_chans_2to516 (void * out, void * in, int samples);           // yes          yes     yes
-int roar_conv_chans_2to68  (void * out, void * in, int samples);           // no           ?       yes
-int roar_conv_chans_2to616 (void * out, void * in, int samples);           // yes          yes     yes
+int raor_conv_codec (void * out, void * in, int samples, int from, int to, int bits);
 
-// FIXME: in this block we need to add a lot funcs more
-int roar_conv_chans_3to28  (void * out, void * in, int samples);           // no           ?       yes
-int roar_conv_chans_3to216 (void * out, void * in, int samples);           // no           ?       yes
-int roar_conv_chans_4to28  (void * out, void * in, int samples);           // no           ?       yes
-int roar_conv_chans_4to216 (void * out, void * in, int samples);           // yes          ?       yes
-int roar_conv_chans_5to28  (void * out, void * in, int samples);           // no           ?       yes
-int roar_conv_chans_5to216 (void * out, void * in, int samples);           // no           ?       yes
-int roar_conv_chans_6to28  (void * out, void * in, int samples);           // no           ?       yes
-int roar_conv_chans_6to216 (void * out, void * in, int samples);           // no           ?       yes
-
-int roar_conv_rate       (void * out, void * in, int samples, int from, int to, int bits, int channels);
-int roar_conv_rate_8     (void * out, void * in, int samples, int from, int to, int channels);
-int roar_conv_rate_16    (void * out, void * in, int samples, int from, int to, int channels);
-int roar_conv_rate_161zoh(void * out, void * in, int samples, int from, int to);
-int roar_conv_rate_162zoh(void * out, void * in, int samples, int from, int to);
-int roar_conv_rate_16nzoh(void * out, void * in, int samples, int from, int to, int channels);
-int roar_conv_rate_SRC   (void * out, void * in, int samples, int from, int to, int bits, int channels);
-
-int roar_conv_rate2      (void * out, void * in, int outsamples, int samples, int bits, int channels);
-
-int roar_conv_codec (void * out, void * in, int samples, int from, int to, int bits);
-
-int roar_conv_signedness  (void * out, void * in, int samples, int from, int to, int bits);
-int roar_conv_codec_s2u8  (void * out, void * in, int samples);
-int roar_conv_codec_s2u16 (void * out, void * in, int samples);
-int roar_conv_codec_s2u32 (void * out, void * in, int samples);
-int roar_conv_codec_u2s8  (void * out, void * in, int samples);
-int roar_conv_codec_u2s16 (void * out, void * in, int samples);
-int roar_conv_codec_u2s32 (void * out, void * in, int samples);
-
-int roar_conv_endian      (void * out, void * in, int samples, int from, int to, int bits);
-
-                                                                // implemnted?
-int roar_conv_endian_16   (void * out, void * in, int samples); // yes
-int roar_conv_endian_24   (void * out, void * in, int samples); // yes
-int roar_conv_endian_32   (void * out, void * in, int samples); // yes
+int roar_conv_codec_s2u8 (void * out, void * in, int samples);
 
 int roar_conv       (void * out, void * in, int samples, struct roar_audio_info * from, struct roar_audio_info * to);
-int roar_conv2(void * out, void * in, size_t inlen, struct roar_audio_info * from, struct roar_audio_info * to, size_t bufsize);
-
-int roar_conv_poly4_16  (int16_t * out, int16_t * in, size_t olen, size_t ilen);
-int roar_conv_poly4_16s (int16_t * out, int16_t * in, size_t olen, size_t ilen, float step);
 
 #endif
Index: include/libroaresd/libroaresd.h
===================================================================
--- include/libroaresd/libroaresd.h	(revision 6052)
+++ include/libroaresd/libroaresd.h	(revision 0)
@@ -1,40 +1,3 @@
 //libroaresd.h:
-
-/*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008-2015
- *  The code (may) include prototypes and comments (and maybe
- *  other code fragements) from EsounD.
- *  They are mostly copyrighted by Eric B. Mitchell (aka 'Ricdude)
- *  <ericmit@ix.netcom.com>. For more information see AUTHORS.esd.
- *
- *  This file is part of libroaresd a part of RoarAudio,
- *  a cross-platform sound system for both, home and professional use.
- *  See README for details.
- *
- *  This file is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License version 3
- *  as published by the Free Software Foundation.
- *
- *  RoarAudio is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU General Public License for more details.
- *
- *  You should have received a copy of the GNU General Public License
- *  along with this software; see the file COPYING.  If not, write to
- *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
- *  Boston, MA 02110-1301, USA.
- *
- *  NOTE for everyone want's to change something and send patches:
- *  read README and HACKING! There a addition information on
- *  the license of this document you need to read before you send
- *  any patches.
- *
- *  NOTE for uses of non-GPL (LGPL,...) software using libesd, libartsc
- *  or libpulse*:
- *  The libs libroaresd, libroararts and libroarpulse link this libroar
- *  and are therefore GPL. Because of this it may be illigal to use
- *  them with any software that uses libesd, libartsc or libpulse*.
- */
 
 #ifndef _LIBROARESD_H_
@@ -43,11 +6,6 @@
 #include <roaraudio.h>
 #include <esd.h>
-
-#ifdef ROAR_HAVE_H_SYS_TIME
+#include <time.h>
 #include <sys/time.h>
-#endif
-#ifdef ROAR_HAVE_H_TIME
-#include <time.h>
-#endif
 
 #define ROAR_BC2ESD(b,c) (((b) == 8 ? ESD_BITS8 : ESD_BITS16) | ((c) == 1 ? ESD_MONO : ESD_STEREO))
